<?php
admin :: access(array('a'=>1)); #права доступа




/* Удаления записи */
if (isset($_GET['del']) && is_numeric($_GET['del']) && DB :: $pdo ->querySingle("SELECT COUNT(*) FROM `subscribe_posts` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1",$db)==1)
{
	DB :: $pdo -> query("DELETE FROM `subscribe_posts` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
	DB :: $pdo -> query("DELETE FROM `subscribe_posts_close` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
	system :: redirect("Новость  успешно удалена", "?act=news");
}

/* Конец */

if (isset($_POST['name']) && isset($_POST['msg']) && isset($_POST['url']))  #Условие на обработку 
{

$name=system :: check($_POST['name']);
$url=system :: check($_POST['url']);
$msg_str = system :: utf_strlen($name); 
if ($url!=NULL && !eregi('^https?://',$url) && !eregi('^/',$url))$url='/'.$url;

if($msg_str >= 1 && $msg_str <= 32) {  #Если меньше но или больше 32 символа

$msg=system :: check($_POST['msg']);



	DB :: $pdo -> query("INSERT INTO `subscribe_posts` (`msg`, `name`, `url`) values('$msg', '$name', '$url')"); #Запрос
		system :: redirect("Новость  успешно создана", "?act=news");
	}else{$e="Заголовок должен быть больше 1 символа и меньше 32.";}
}



$title = $l = "Панель управления - Новость";

require (CORE."head.php");

if(isset($e)){ system :: show($e); } #Вывод ошибки 

echo "<div class='app-block'>";
echo "<div class='list'>";
echo "<b>Добавить новость:</b>";
echo "<form method=\"post\" action=\"?act=news\">";
echo "Заголовок:<br />\n<input name=\"name\" size=\"16\" maxlength=\"32\" value=\"\" class=\"main-input _w-100\" type=\"text\" /><br />\n";
echo "Текст:<br />\n<textarea name=\"msg\" class=\"main-input _w-100\"></textarea><br />\n";
echo "Ссылка:<br /><input name=\"url\" size=\"16\" maxlength=\"64\" placeholder=\"Введите ссылку\" class=\"main-input _w-100\" value=\"\" type=\"text\" /><br />\n";
echo "<br><input value=\"Добавить\" type=\"submit\" class=\"main-btn\"/>\n";
echo "</form></div>";
echo "<div class='list _bg-blue '>Ссылки нужно вводить без http:// и так дальше ,например: <b>/mail</b> </div>";	
	  
	
	
#Цикл ебать 
$news = DB ::$pdo ->query("SELECT * FROM `subscribe_posts` ORDER BY `id` DESC"); #запрос вывода 
	while ($post = $news -> fetch())
	{
	echo "<div class='list'>";
	echo "<font color='grey'><b>".$post['name']."</b></font><br />\n";
	echo $post['msg'];
	echo "<br>";
	if ($post['url']!=NULL)echo "Ссылка ".htmlentities($post['url'], ENT_QUOTES, 'UTF-8')."<br />\n";
	echo "<span style='float: right;margin-top: -10px;text-decoration: underline;'>
    <a href='?act=news&amp;del=$post[id]'><span class='ico ico-dell'></span></a>
    </span></div>";
	}




require (CORE."foot.php");